LINUX.ORG.RU

Поддержка драйвера nvidia-304xx в новое ядре линукс.

 , , ,


0

1

Привествую! Обновил недавно систему (Arch 64_86) и обнаружил, что старые драйвера nvidia-304 не работают с новым ядром. Более того, этот драйвер вообще пропал из репозиториев и AUR. Проясните, пожалуйста, кто знает - прекратилась поддержка? Больше не ожидать драйверов из этой серии? Или, может, они переместились в другой пакет?

Ответ на: комментарий от Mialder

Как насчет перейти на Debian 9? Там есть вот такой замечательный драйвер, я проверил, твоя карта в списке поддерживаемых: https://packages.debian.org/stretch/nvidia-legacy-304xx-driver

Сам использую именно этот драйвер на одной из машин, пусть и с другой картой, работает норм. Я даже избавился от тиринга, прописав кое-что в xorg.conf. Ядро 4.9 LTS.

Vsevolod-linuxoid ★★★★★ ()
Ответ на: комментарий от anonymous

> эта встройка такое днище

Она тянет Braid, Super Meat Boy, FEZ, Limbo, Bastion, Super Hexagon, Aquaria, World of Goo, Osmos, Toki Tori, EDGE, много игр на Unity (едва ли не единственный случай, когда лаунчер с вопросом «графику какого уровня вы хотите?» действительно имеет смысл), Minecraft, Pop Cap Games под Wine. Я бы не стал называть этот чип «днищем». Причём всё это не тормозит даже с запущенным Compiz!

https://imgur.com/a/VDK4x

ZenitharChampion ★★★★★ ()
Последнее исправление: ZenitharChampion (всего исправлений: 1)
Ответ на: комментарий от Vsevolod-linuxoid

Ну, на дебиан смысла переходить, для себя, я не вижу. К Арчу уже привык, а драйвера на ядре 4.9 и тут работают, только их нужно тянуть либо из архива, либо с сайта nvidia. Но, спасибо за совет.

Mialder ()
Ответ на: комментарий от anonymous

Мясо мальчик - точно нет. Pop Cap - да. Я вообще удивлён, для чего они в 2004 делали опцию «Use hardware acceleration», ещё и выключенную по умолчанию. Компов без акселлераторов уже не было в принципе, нужно было очень захотеть, чтобы его не было.

ZenitharChampion ★★★★★ ()
Последнее исправление: ZenitharChampion (всего исправлений: 1)

Открой для себя поиск по сайту!!!! Быстро решительно!!!!!

patch nvidia-drivers-340 для ядра: 4.6/4.7, 4.8, 4.11, 4.12 новее лично меня уже не интересовали ввиду отсутствия железа как такового. Да карточка подохла вместе с ноутом. Сами заплатки часто всплывают на https://devtalk.nvidia.com так что ты понял да?

И да успехов тебе.

init_6 ★★★★★ ()
Последнее исправление: init_6 (всего исправлений: 1)
Ответ на: комментарий от Shein

Народ, подскажите в чем может быть дело...Установил я nouveau, mesa и lib32 mesa, libglvnd, в общем, всё по вики сделал. Х-сервер запускается, драйвер загружен, всё работает, но...

glxinfo|grep rendering 
Error: couldn't find RGB GLX visual or fbconfig 
glxinfo | grep OpenGL 
Error: couldn't find RGB GLX visual or fbconfig

Тот же Playonlinux жалуется, что не opengl.

Mialder ()
Ответ на: комментарий от Mialder

Дополню

VGA compatible controller: NVIDIA Corporation C61 [GeForce 7025 / nForce 630a] (rev a2) (prog-if 00 [VGA controller])
	Subsystem: ASUSTeK Computer Inc. C61 [GeForce 7025 / nForce 630a]
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 22, NUMA node 0
	Memory at de000000 (32-bit, non-prefetchable) [size=16M]
	Memory at c0000000 (64-bit, prefetchable) [size=256M]
	Memory at dd000000 (64-bit, non-prefetchable) [size=16M]
	Expansion ROM at 000c0000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: nouveau
	Kernel modules: nouveau
Mialder ()